Class TroubleTicketsImpl

java.lang.Object
com.eqixiac.equinix.customerportal.client.implementation.TroubleTicketsImpl
All Implemented Interfaces:
TroubleTickets

public class TroubleTicketsImpl extends Object implements TroubleTickets
  • Constructor Details

    • TroubleTicketsImpl

      public TroubleTicketsImpl()
  • Method Details

    • create

      public String create(TroubleTicketCreateRequest request)
      Description copied from interface: TroubleTickets
      Creates a trouble ticket.

      Maps to POST /v2/tickets (Create a Ticket). The created ticket id is returned from the Location response header.

      Specified by:
      create in interface TroubleTickets
      Parameters:
      request - the create request body
      Returns:
      the created ticket id
    • getByUuid

      public TroubleTicket getByUuid(String id)
      Description copied from interface: TroubleTickets
      Retrieves a specific trouble ticket by its identifier.

      Maps to GET /v2/tickets/{id} (Retrieve a ticket).

      Specified by:
      getByUuid in interface TroubleTickets
      Parameters:
      id - the identifier of the ticket
      Returns:
      the matching ticket
    • update

      public Boolean update(String id, TicketUpdateRequest request)
      Description copied from interface: TroubleTickets
      Updates a trouble ticket's notification contacts.

      Maps to PATCH /v2/tickets/{id} (Update a ticket).

      Specified by:
      update in interface TroubleTickets
      Parameters:
      id - the identifier of the ticket
      request - the update request body
      Returns:
      true if the update was accepted
    • addNote

      public Boolean addNote(String id, TicketNoteRequest request)
      Description copied from interface: TroubleTickets
      Adds a note to a trouble ticket.

      Maps to POST /v2/tickets/{id}/notes (Add notes to ticket).

      Specified by:
      addNote in interface TroubleTickets
      Parameters:
      id - the identifier of the ticket
      request - the note request body
      Returns:
      true if the note was accepted
    • cancel

      public Boolean cancel(String id, TicketCancelRequest request)
      Description copied from interface: TroubleTickets
      Cancels a trouble ticket.

      Maps to POST /v2/tickets/{id}/cancel (Cancel a ticket).

      Specified by:
      cancel in interface TroubleTickets
      Parameters:
      id - the identifier of the ticket
      request - the cancel request body
      Returns:
      true if the cancellation was accepted